# Uncomment the next line to define a global platform for your project
platform :ios, '9.0'
# Comment the next line if you're not using Swift and don't want to use dynamic frameworks
use_frameworks!
##Avoding 3rd warnings, it is useful
inhibit_all_warnings!

def network_pods
    pod 'Moya/RxSwift', '12.0.1'
    pod 'HandyJSON', '5.0.0-beta.1'
end

def rx_pods
    pod 'RxSwift', '4.4.2'
    pod 'RxCocoa', '4.4.2'
    pod 'NSObject+Rx', '4.4.1'
end

def common_pods
  pod 'SnapKit', '4.2.0'
  pod 'FWPopupView'
  pod 'Toast-Swift'
end

def jiguang_pods
  pod 'JPush', '3.1.2'
  pod 'JAnalytics', '1.2.1'
end

def share_pods
    pod 'Pingpp', '~> 2.2.23'
    pod 'WechatOpenSDK', '~> 1.8.4'
    pod 'MonkeyKing', '~> 1.13.0'
end

def podsDependent
  share_pods
  network_pods
  rx_pods
  jiguang_pods
  common_pods
  pod 'IQKeyboardManagerSwift'
  pod 'RxKeyboard'
  #    ##Table and Collection view data sources
  pod 'RxDataSources', '3.1.0'
  pod 'RxGesture', '2.1.0'
  pod 'FLEX'#, :configurations => ['Debug']
  pod 'GDPerformanceView-Swift'
  pod 'MLeaksFinder', '1.0.0'
  pod 'SwiftyBeaver', '1.7.0'
  pod 'R.swift', '5.0.3'
  pod 'SwiftDate', '5.0.3'
  pod 'Device', '3.1.2'
  pod 'EmptyDataSet-Swift', '4.2.0'
  
  pod 'SwiftTheme'
  pod 'Cache', '5.2.0'
  pod 'Kingfisher', '4.10.1'
  pod 'SwiftyUserDefaults'
  pod 'dsBridge', '3.0.2'
  pod 'YYText', '1.0.7'
  pod 'SSZipArchive'
  pod 'SwiftValidators'
  pod 'Presentr', '1.9'
  pod 'KeychainAccess', '3.1.2'
  pod 'FSPagerView', '0.8.2'
  pod 'RealmSwift'#, '0.7.6'
  pod 'RxRealmDataSources', '0.2.10'
  pod 'KAPinField' , :git => 'https://github.com/kirualex/KAPinField.git' #, :branch => 'backviews'
  pod 'ESPullToRefresh', :git => 'https://github.com/eggswift/pull-to-refresh.git'
  pod 'SkeletonView'
  pod 'URLNavigator'
  pod 'SKPhotoBrowser'
  pod 'BadgeSwift'
  pod 'EVReflection/MoyaRxSwiftXML'
end

workspace 'LXTBaseProduct.xcworkspace'

target 'KLCKit' do
  project 'KLCKit/KLCKit.xcodeproj'
  share_pods
  network_pods
  rx_pods
  common_pods
end

target 'LXTBaseProduct' do
    project 'LXTBaseProduct.xcodeproj'
    podsDependent

    target 'LXTBaseProductTests' do
    inherit! :search_paths
    # Pods for testing
    end

    target 'LXTBaseProductUITests' do
      #inherit! :search_paths
      #podsDependent
    end

end

post_install do |installer|
    installer.pods_project.targets.each do |target|
        # Cache pod does not accept optimization level '-O', causing Bus 10 error. Use '-Osize' or '-Onone'
        if target.name == 'Cache'
            target.build_configurations.each do |config|
                level = '-Osize'
                config.build_settings['SWIFT_OPTIMIZATION_LEVEL'] = level
                puts "Set #{target.name} #{config.name} to Optimization Level #{level}"
            end
        end
    end
end
